Page MenuHomePhabricator

A bot creating a new Flow page does not set `flow=enabled` in `flowinfo` (Co-op)
Closed, ResolvedPublic

Description

When a bot creates a Flow board, a flowinfo API query claims that Flow is not enabled on the resulting page.

See: https://test.wikipedia.org/w/api.php?action=query&prop=flowinfo&titles=Talk:Sandbox|Wikipedia_talk:Co-op/Fhocutt_(WMF)|Wikipedia_talk:Co-op/Flowtest2 . The first two pages are categorized correctly; the third is not. http://test.wikipedia.org/wiki/Wikipedia_talk:Co-op/Flowtest2 is a Flow board, but the API query does not reflect this.

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.25wmf15ApiPageSet lazy loads content models
mediawiki/core : wmf/1.25wmf14ApiPageSet lazy loads content models
mediawiki/core : masterApiPageSet lazy loads content models

Event Timeline

Fhocutt raised the priority of this task from to High.
Fhocutt updated the task description. (Show Details)
Fhocutt added subscribers: Fhocutt, Capt_Swing.

@DannyH curious how many points a task like this might be? It potentially blocks our Feb 1 Co-op launch, because the bot won't be able to deliver any subsequent recommendations to the user after their talk page has been created.

this shouldn't be too hard to fix, i will look into it and probably have a fix out with next weeks deploy.

I don't see that Flowtest2 is a flow board? https://test.wikipedia.org/wiki/Wikipedia:Co-op/Flowtest2?action=info says wikitext and that's what it looks like too.

it looks like this was intending to point out Wikipedia_talk:Co-op/Flowtest2, specifically in the _talk namespace. It is displaying the reported problem.

gerritbot added a subscriber: gerritbot.

Change 184947 had a related patch set uploaded (by Legoktm):
Bug: ApiPageSet misreports content model

https://gerrit.wikimedia.org/r/184947

Patch-For-Review

Quiddity updated the task description. (Show Details)Jan 14 2015, 10:36 PM
DannyH renamed this task from A bot creating a new Flow page does not set `flow=enabled` in `flowinfo` to A bot creating a new Flow page does not set `flow=enabled` in `flowinfo` (Co-op).Jan 23 2015, 6:31 PM

I've merged the core patch that allows this to work, we will swat deploy this to both production branches next week since the train deployment would take 3 weeks to get onto enwiki.

Change 184947 merged by jenkins-bot:
ApiPageSet lazy loads content models

https://gerrit.wikimedia.org/r/184947

Mattflaschen-WMF renamed this task from A bot creating a new Flow page does not set `flow=enabled` in `flowinfo` (Co-op) to [1] A bot creating a new Flow page does not set `flow=enabled` in `flowinfo` (Co-op).Jan 28 2015, 7:51 PM
Mattflaschen-WMF closed this task as Resolved.

Change 187223 had a related patch set uploaded (by EBernhardson):
ApiPageSet lazy loads content models

https://gerrit.wikimedia.org/r/187223

Patch-For-Review

Change 187225 had a related patch set uploaded (by EBernhardson):
ApiPageSet lazy loads content models

https://gerrit.wikimedia.org/r/187225

Patch-For-Review

Change 187223 merged by jenkins-bot:
ApiPageSet lazy loads content models

https://gerrit.wikimedia.org/r/187223

Change 187225 merged by jenkins-bot:
ApiPageSet lazy loads content models

https://gerrit.wikimedia.org/r/187225

DannyH renamed this task from [1] A bot creating a new Flow page does not set `flow=enabled` in `flowinfo` (Co-op) to A bot creating a new Flow page does not set `flow=enabled` in `flowinfo` (Co-op).Feb 3 2015, 11:55 PM